<template>
    <div class="question">
        <div class="question-wrapper">
            <h1 class="title">
                {{ question.title }}
            </h1>
            <p class="subtitle">
                {{ question.subtitle }}
            </p>
            <div class="options">
                <div
                    class="option"
                    v-for="option in question.options"
                    :key="option.id"
                    @click="selectOption($event, option.id, question.id)"
                >
                    <input
                        type="radio"
                        :id="`question-${question.id}-option-${option.id}`"
                        :name="`question-${question.id}`"
                        :value="option.id"
                    />
                    <label
                        :for="`question-${question.id}-option-${option.id}`"
                        :id="`label-question-${question.id}-option-${option.id}`"
                    >
                        {{ option.label }}
                    </label>
                </div>
            </div>
        </div>
    </div>
</template>

<script lang="ts" setup>
import type { QuizQuestion } from "@/types/Quiz/QuizQuestion";

defineProps({
    question: {
        type: Object as () => QuizQuestion,
        required: true,
    },
    selectOption: {
        type: Function,
        required: true,
    },
});
</script>

<style lang="scss" scoped>
.question {
    .title {
        font-size: 24px;
    }
    .subtitle {
        font-size: 14px;
        margin-top: -15px;
    }
    .options {
        .option {
            border: 1px solid #424242;
            border-radius: 10px;
            padding: 10px 20px;
            margin-top: 10px;
            max-width: 600px;
            display: flex;
            align-items: center;
            cursor: pointer;

            input[type="radio"] {
                appearance: none;
                background-color: #fff;
                border: 2px solid #424242;
                border-radius: 50%;
                width: 20px;
                height: 20px;
                position: relative;

                &:checked {
                    background-color: #fff;
                    border-color: #00e169;

                    &:after {
                        content: "";
                        position: absolute;
                        top: 2px;
                        left: 2px;
                        width: 12px;
                        height: 12px;
                        border-radius: 50%;
                        background: #00e169;
                    }
                }
            }

            label {
                padding-left: 10px;
            }

            .label-selected {
                padding-left: 10px;
                font-size: 18px;
                font-weight: bold;
            }
        }
    }
}
</style>
